Saxon API for .NET |

# XdmAxis Enumeration

Enumeration identifying the thirteen XPath axes

public enum XdmAxis

#### Members

Member Name | Description
--- | ---
Ancestor | The XPath ancestor axis
AncestorOrSelf | The XPath ancestor-or-self axis
Attribute | The XPath attribute axis
Child | The XPath child axis
Descendant | The XPath descendant axis
DescendantOrSelf | The XPath descandant-or-self axis
Following | The XPath following axis
FollowingSibling | The XPath following-sibling axis
Namespace | The XPath namespace axis
Parent | The XPath parent axis
Preceding | The XPath preceding axis
PrecedingSibling | The XPath preceding-sibling axis
Self | The XPath self axis

#### Requirements

Namespace: Saxon.Api

Assembly: saxon8api (in saxon8api.netmodule)

#### See Also

Saxon.Api Namespace